Bug 248246 - science/elmerfem: Update to 8.4.20200708 and fix dependencies
Summary: science/elmerfem: Update to 8.4.20200708 and fix dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-07-24 15:14 UTC by Henrik Gulbrandsen
Modified: 2020-07-31 09:49 UTC (History)
2 users (show)

See Also:


Attachments
svn diff at revision 542585 (8.52 KB, patch)
2020-07-24 15:14 UTC, Henrik Gulbrandsen
henrik: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik Gulbrandsen 2020-07-24 15:14:01 UTC
Created attachment 216746 [details]
svn diff at revision 542585

This patch to the science/elmerfem port includes the following:

o Update to commit 679a882b on the devel branch (after elmerice merge + fixes)
o Removed DISTVERSIONPREFIX; we use the devel branch now, not official releases
o Removed Tcl dependency; this was only used for ElmerPost, which is obsolete
o Moved lots of library dependencies that were only needed for OpenCASCADE
o Added OCC option for OpenCASCADE dependency; most people will not need it
o Fixed indirect dependencies (Python 2.7 -> 3.7 and VTK 6.2 -> 8.2)
o Moved WITH_QT5 and QT_FOUND to GUI_CMAKE_ON to avoid CMake warnings
o Added QT5_LIBS to avoid lines longer than 80 characters in the Makefile
o Removed the partial f02cb33a patch file, which is no longer needed
o Removed the last sentence in pkg-descr (written for science/elmerfem-devel)
o Added HelmholtzProjection.so and SpringAssembly.so to pkg-plist
Comment 1 Thierry Thomas freebsd_committer 2020-07-24 16:06:58 UTC
This is fine to set an option for OCC, but I think that it would be better to define it by default: it's much easier to get it by package than to build as a port.
Comment 2 Henrik Gulbrandsen 2020-07-24 19:19:10 UTC
(In reply to Thierry Thomas from comment #1)

Well, the previous version of the port did not even have an OpenCASCADE option. In the original science/elmerfem-devel, I included OpenCASCADE because I could, but it was commented out in the committed version as it required math/vtk6 with QT5, which was not enabled by default. We can set OCC now when math/vtk8 is used.

Personally, I build everything from source code, so I disabled it by default to avoid unnecessary dependencies for an uncommon need, but maybe I'm wrong about how important OpenCASCADE support will be for others. I found it easier to import CAD models indirectly via cad/gmsh and only inspect the result with ElmerGUI.

I have nothing against defining OCC by default if you think that is better.
Comment 3 Fernando Apesteguía freebsd_committer 2020-07-27 15:35:53 UTC
^Triage: [tags] in issue Titles are deprecated.
If there is a changelog or release notes URL available for this version, please add it to the URL field.

Thanks!
Comment 4 Henrik Gulbrandsen 2020-07-27 20:06:22 UTC
(In reply to Fernando Apesteguía from comment #3)

There has not been an official release of Elmer since 2018, so this is just a snapshot of the devel branch, which should always be reasonably stable. The only changelog would be the Git log with 336 commits since the previous version.

The main point here is to fix the dependencies and clean up the Makefile, but after four months, it seemed reasonable to update the snapshot version as well.
Comment 5 Fernando Apesteguía freebsd_committer 2020-07-31 06:06:43 UTC
I will try to commit this later today with OCC=on by default if that's OK.
Comment 6 Henrik Gulbrandsen 2020-07-31 08:10:20 UTC
(In reply to Fernando Apesteguía from comment #5)

Feel free to commit! It's probably best to define OCC, although CAD import in ElmerGUI is a bit limited. I can open a STEP file, but only a single shape from the file is imported. That makes it kind of pointless for 3D electromagnetics, where you need a surrounding air volume, but it may be useful for things like structural mechanics and heat transfer.
Comment 7 commit-hook freebsd_committer 2020-07-31 09:49:20 UTC
A commit references this bug:

Author: fernape
Date: Fri Jul 31 09:49:05 UTC 2020
New revision: 543850
URL: https://svnweb.freebsd.org/changeset/ports/543850

Log:
  science/elmerfem: Update to 8.4.20200708 and fix dependencies

  * Update to commit 679a882b on the devel branch (after elmerice merge + fixes)
  * Removed DISTVERSIONPREFIX; we use the devel branch now, not official releases
  * Removed Tcl dependency; this was only used for ElmerPost, which is obsolete
  * Moved lots of library dependencies that were only needed for OpenCASCADE
  * Added OCC option for OpenCASCADE dependency; on by default.
  * Fixed indirect dependencies (Python 2.7 -> 3.7 and VTK 6.2 -> 8.2)
  * Moved WITH_QT5 and QT_FOUND to GUI_CMAKE_ON to avoid CMake warnings
  * Added QT5_LIBS to avoid lines longer than 80 characters in the Makefile
  * Removed the partial f02cb33a patch file, which is no longer needed
  * Removed the last sentence in pkg-descr (written for science/elmerfem-devel)
  * Added HelmholtzProjection.so and SpringAssembly.so to pkg-plist

  PR:	248246
  Submitted by:	henrik@gulbra.net (maintainer)

Changes:
  head/science/elmerfem/Makefile
  head/science/elmerfem/distinfo
  head/science/elmerfem/files/patch-CMakeLists.txt
  head/science/elmerfem/files/patch-ElmerGUI_Application_cad_cadview.cpp
  head/science/elmerfem/files/patch-git-f02cb33acd59a32c41fe9f67367155e271c22ae8
  head/science/elmerfem/pkg-descr
  head/science/elmerfem/pkg-plist
Comment 8 Fernando Apesteguía freebsd_committer 2020-07-31 09:49:56 UTC
Committed,

Thanks!